module Hermes
  module Api
    module Dmo
      class ReservationHoldersController < Hermes::Api::Dmo::ApplicationController
        
        
        VALID_OPERATORS = %w[
          $in
          $nin
          $ne
          $regex
        ]
        
        ACCEPTABLE_PARAMS = %w[
          name
          siren
          lessor_ids
        ]
        
        MUTATE_PARAMS = %i[
          name
          siren
          lessor_ids
        ]

        REGEX_PARAMS = %w[
          name
        ]
        
        def mutate_params
          MUTATE_PARAMS
        end 

        def set_instance
          @instance = 
            if params[:id]&.length == 9
              @model.readable_by(@user).find_by(siren: params[:id])
            else
              @model.readable_by(@user).find_by(id: params[:id])
            end 
        end

        def index
          acceptable_params *ACCEPTABLE_PARAMS
          regex_params *REGEX_PARAMS
          valid_operators *VALID_OPERATORS
          super
        end


      end
    end
  end
end