# frozen_string_literal: true

class UnpublishHousingOfferJob < ActiveJob::Base
 
  queue_as :unpubholow
  unique :until_executed

  def perform(offer_id, publication_end_date)
    offer = Hermes::HousingOffer.find_by(id: offer_id)

    if offer&.published? && 
      Time.zone.now.beginning_of_day >= offer.publication_end_date &&
      offer.calculated_publication_end_date.to_s == publication_end_date.to_s

      offer.update(offer_status: 'COMMERCIALISATION NON PUBLIEE', published: false)
    end
  end
end
