# frozen_string_literal: true

module Hermes
  # NotificationCenter::NotificationSerializer
  module NotificationCenter
    class SubscriptionSerializer < Hermes::ApplicationSerializer
      attributes %i[
        keys
        subscriber_type
        subscriber_id
      ]

      type 'subscriptions'

      def object_cache_key
        hash_keys = Digest::MD5.hexdigest(object.keys.join(''))
        "#{self.class.name}##{object.cache_key}#{hash_keys}"
      end

    end
  end
end
