require 'rails_helper'

RSpec.describe Hermes::UserFilter, type: :model do
  let(:user) { create(:user) }
  context 'correct validation' do

    it 'missing key and user' do
      uf = Hermes::UserFilter.create()
      expect(uf.valid?).to eq(false)
      expect(uf.errors.messages[:key]).to be_present 
      expect(uf.errors.messages[:user_id]).to be_present 
    end

    it 'multiple key/user' do 
      uf1 = Hermes::UserFilter.create(user_id: user.id, key: 'test')
      expect(uf1.valid?).to eq(true)

      uf2 = Hermes::UserFilter.create(user_id: user.id, key: 'test')
      expect(uf2.valid?).to eq(false)
      expect(uf2.errors.messages[:key]).to be_present 
    end 

  end
end
