require 'rails_helper'

# to check https://github.com/domaindrivendev/rswag/issues/118
# rspec --pattern packages/hermes/spec/apis/dmo/*_spec.rb --format Rswag::Specs::SwaggerFormatter --dry-run --order defined
RSpec.configure do |config|
  config.swagger_root = Rails.root.to_s + '/packages/hermes/swagger'
  config.swagger_docs = {
    'api/swagger/hermes/swagger_hermes.json' => {
      swagger: '2.0',
      info: {
        title: 'API documentation for Hermes package',
        version: 'v1'
      },
      securityDefinitions: {
        Bearer: {
          description: 'Bearer token. Use API_ADMIN_AUTH to retrieve your token and use it here <u>prepend by <b>`Bearer`</b></u>.<br>eg: <b>`Bearer 1kjlk320948jo23ki409832o4...`</b><br><br>',
          type: :apiKey,
          name: 'Authorization',
          in: :header
        }
      }
    }
  }
end

module HermesSwaggerJsonParams extend SwaggerJsonParams
  def paginator
    parameter name: :"page", in: :query, type: :integer, description: 'Page number', required: false
    parameter name: :"per_page", in: :query, type: :integer, description: 'Number of record per page', required: false
  end
end
